apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    description: Backend for syntax highlighting operations.
  labels:
    deploy: sourcegraph
  name: syntect-server
spec:
  minReadySeconds: 10
  replicas: 1
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      app: syntect-server
  strategy:
    rollingUpdate:
      maxSurge: 1
      maxUnavailable: 0
    type: RollingUpdate
  template:
    metadata:
      labels:
        app: syntect-server
    spec:
      containers:
      - env:
        image: index.docker.io/sourcegraph/syntect_server:2b5a3fb@sha256:ef5529cafdc68d5a21edea472ee8ad966878b173044aa5c3db93bc3d84765b1f
        terminationMessagePolicy: FallbackToLogsOnError
        livenessProbe:
          httpGet:
            path: /health
            port: http
            scheme: HTTP
          initialDelaySeconds: 5
          timeoutSeconds: 5
        name: syntect-server
        ports:
        - containerPort: 9238
          name: http
        readinessProbe:
          tcpSocket:
            port: http
        resources:
          limits:
            cpu: "4"
            memory: 6G
          requests:
            cpu: 250m
            memory: 2G
      securityContext:
        runAsUser: 0
